Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.utils
Class RCFUtil

    java.lang.Object
      com.stc.connector.ldapadapter.utils.RCFUtil

    public class RCFUtil

extends java.lang.Object

This utility class can be used to create and manage a LDAP referral credentials file.

Constructor Summary
`RCFUtil()` Creates new RCFUtil

Method Summary
`protected java.util.HashMap` | `displayEntries(java.util.Properties props)`
`void` | `go(java.lang.String[] args)`
`static void` | `main(java.lang.String[] args)`
`protected void` | `parseOpts(java.lang.String[] args)`
`protected void` | `printUsage()`
`protected boolean` | `promptConfirm(java.lang.String prompt, java.lang.String noAnswer)`
`protected java.lang.String` | `promptForData(java.lang.String prompt, boolean optional)`
`protected void` | `promptForUsernamePassword(java.lang.String heading)`
`protected void` | `savePropsToFile(java.util.Properties props, boolean promptConfirm)`
`protected void` | `utilize()`
`protected void` | `validateUsernamePassword(java.util.Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RCFUtil

    public RCFUtil()

  Creates new RCFUtil

Method Detail

### parseOpts

    protected void parseOpts(java.lang.String[] args)

### printUsage

    protected void printUsage()

### promptConfirm

    protected boolean promptConfirm(java.lang.String prompt,
                                    java.lang.String noAnswer)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### savePropsToFile

    protected void savePropsToFile(java.util.Properties props,
                                   boolean promptConfirm)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### promptForUsernamePassword

    protected void promptForUsernamePassword(java.lang.String heading)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### promptForData

    protected java.lang.String promptForData(java.lang.String prompt,
                                             boolean optional)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### validateUsernamePassword

    protected void validateUsernamePassword(java.util.Properties props)

### displayEntries

    protected java.util.HashMap displayEntries(java.util.Properties props)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### utilize

    protected void utilize()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### go

    public void go(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD